cscope-indexer(1)

NAME
cscope-indexer - Script to index files for cscope

SYNOPSIS
cscope-indexer [-v] [-f database_file] [-i list_file] [-l] [-r]

DESCRIPTION
This script generates a list of files to index (cscope.out), which is then (optionally) used to generate a cscope database. You can use this script to just build a list of files, or it can be used to build a list and database. This script is not used to just build a database (skipping the list of files step), as this can be simply done by just calling "cscope -b". Normally, cscope will do its own indexing, but this script can be used to force indexing. This is useful if you need to recurse into subdirectories, or have many files to index (you can run this script from a cron job, during the night). It is especially useful for large projects, which can contstantly have source files added and deleted; by using this script, the changing sources files are automatically handled. Currently, any paths containing "/CVS/" or "/RCS/" are stripped out (ignored).

OPTIONS

-f database_file
    Specifies the cscope database file (default: cscope.out).

-i list_file
    Specifies the name of the file into which the list of files to index is placed (default: cscope.files).

-l  Suppress the generation/updating of the cscope database file. Only a list of files is generated.

-r  Recurse into subdirectories to locate files to index. Without this option, only the current directory is searched.

-v  Be verbose. Output simple progress messages.

SEE ALSO
cscope(1)

AUTHOR
This manual page was written for the Debian GNU/Linux system by Robert Lemmen <robertle@semistable.com> (but may be used by others, of course)